# $Revision: 1.19 $, $Date: 2008/01/31 12:16:05 $
%include	/usr/lib/rpm/macros.php
%define		_class		Console
%define		_subclass	Color
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - easily use ANSI console colors in your application
Summary(pl.UTF-8):	%{_pearname} - łatwe użycie kolorów ANSI w aplikacjach
Name:		php-pear-%{_pearname}
Version:	1.0.2
Release:	2
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8fe454cb9d04b2bbe40bf06626217839
URL:		http://pear.php.net/package/Console_Color/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
You can use Console_Color::convert to transform colorcodes like %r
into ANSI control codes. 'print Console_Color::convert("%rHello
World!%n");' would print "Hello World" in red, for example.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Console_Color::convert można używać do przekształcania kodów kolorów
typu %r na kody sterujące ANSI. Na przykład 'print
Console_Color::convert("%rHello World!%n");' wypisze "Hello World" na
czerwono.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Console_Color.spec,v $
Revision 1.19  2008/01/31 12:16:05  glen
- rel 2

Revision 1.18  2007-02-28 01:37:59  glen
- 1.0.2

Revision 1.17  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.15  2006/11/26 20:23:17  glen
- 1.0.1-stable

Revision 1.14  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2005/10/05 20:11:06  glen
- rel 3

Revision 1.11  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.10  2005/09/19 21:43:39  glen
- integer BR

Revision 1.9  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.8.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.8.2.1  2005/09/18 18:55:51  glen
- use php-pear-build

Revision 1.8  2004/12/03 21:03:18  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/14 22:45:19  adamg
- added missing status information

Revision 1.5  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.2  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.1  2003/05/30 18:15:24  adamg
- initial import
